Get an ACH bank account
curl --request GET \
--url https://api-sandbox.circle.com/v1/banks/ach/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/banks/ach/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/banks/ach/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b165db94-398a-481c-9d29-ccb26ce60747",
"status": "pending",
"routingNumber": "121000248",
"description": "WELLS FARGO BANK, NA ****4333",
"accountType": "checking",
"billingDetails": {
"name": "Joe Bloggs",
"line1": "Address1",
"line2": "Address2",
"city": "City",
"postalCode": "123",
"district": "CA",
"country": "US"
},
"fingerprint": "8c2afcd1-640f-4160-a303-659e1919b8e5",
"createDate": "2026-06-08T21:56:49.310Z",
"updateDate": "2026-06-08T21:56:49.310Z"
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Get an ACH bank account
Retrieves a specific ACH bank account.
GET
/
v1
/
banks
/
ach
/
{id}
Get an ACH bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully retrieved a bank account for ACH transfers.
An ACH bank account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I